#
# spec file for package ext4magic
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012 robi@users.berlios.de
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ext4magic
Version:        0.3.2
Release:        4.23
Summary:        Tool for recovering deleted files on ext3/4 filesystems
License:        GPL-2.0-or-later
Group:          System/Filesystems
URL:            http://sourceforge.net/projects/ext4magic/
#Doc_Url:	http://ext4magic.sourceforge.net/ext4magic_en.html
Source0:        http://sourceforge.net/projects/ext4magic/files/%{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM ext4magic-0.3.2-rename-i_dir_acl.patch -- Fix FTBFS (boo#1115053)
Patch0:         ext4magic-0.3.2-rename-i_dir_acl.patch
# PATCH-FIX-UPSTREAM Fix-undefined-reference-to-makedev.patch
Patch1:         Fix-undefined-reference-to-makedev.patch
BuildRequires:  file-devel > 5.05
BuildRequires:  libblkid-devel
BuildRequires:  libbz2-devel
BuildRequires:  zlib-devel

%if 0%{?suse_version} || 0%{?fedora_version} || 0%{?rhel_version}
BuildRequires:  libuuid-devel
%else
BuildRequires:  uuid-devel
%endif

%if 0%{?fedora_version} || 0%{?rhel_version} || 0%{?centos_version}
BuildRequires:  e2fsprogs-devel
%else
BuildRequires:  libext2fs-devel >= 1.42.6
%endif

%description
ext4magic is a tool which can help recover accidentally deleted or
overwritten files from ext3 or ext4 file systems. Especially private
computers may lack an adequate, frequent or reliable backup.

%prep
%autosetup -p1

%build
%configure \
 --enable-file-attr \
 --enable-expert-mode
make %{?_smp_mflags}

%install
%make_install

%files
%doc AUTHORS ChangeLog NEWS README TODO
%license COPYING
%{_sbindir}/ext4magic
%{_mandir}/man8/ext4magic.8%{?ext_man}

%changelog
* Mon Apr  8 2019 Christophe Giboudeaux <christophe@krop.fr>
- Add Fix-undefined-reference-to-makedev.patch
* Wed Nov 14 2018 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in summary. Remove filler wording and
  rhetorics from description.
* Mon Nov 12 2018 antoine.belvire@opensuse.org
- Add ext4magic-0.3.2-rename-i_dir_acl.patch: Fix build
  (boo#1115053).
- Clean spec file.
* Tue Sep 16 2014 Greg.Freemyer@gmail.com
- correct Source: field to be the full path
- remove the #DL_URL comment
* Sat Sep 13 2014 Greg.Freemyer@gmail.com
- Update to v0.3.2
  * The code changes are moderate. Mainly changes on metadata, buildsystem and manpage ....
  * Some problems with potential endless loops and segfaults been fixed.
  * New is support for matlab-V5 files in the magic-function and a interface for
    a private magic signature file.  The interface was necessary because the
    activity on the FILE project results in many chances and more and more
    support of new file signatures. This has a negative impact on speed,
    accuracy and result of the magic-function of ext4magic. This interface is
    provided for future use and is designed to support a only for ext4magic
    optimized magic pattern file.
    (See also http://ext4magic.sourceforge.net/magic-pattern-interface.html)
  * The author states that significant testing with i586 and x86_64 has been done
  * ext4magic continues not to support filesystems over 16TB
- Added requires file-devel > 5.05 per notes from upstream
  * Upstream notes that ext4magic is not stable with libmagic 5.17 included in file 5.17
- Added requires libext2fs-devel >= 1.42.6 per notes from upstream
* Mon May 27 2013 asterios.dramis@gmail.com
- Update to version 0.3.1:
  * Some minor bugs been fixed.
  * Support for ecryptfs by Magic-function.
- Enable configure option "--enable-file-attr" (restore also file attributes).
* Mon Mar 19 2012 Greg.Freemyer@gmail.com
- clean up buildrequires logic - no end user impact
* Sat Mar  3 2012 Greg.Freemyer@gmail.com
- initial packaging - v0.30
    ext4magic is file recovery tool for the ext4 filesystem.
    per the author, discussing v0.3.0 in Feb, 2012
  For me, the program and its functions completed tested and stable
  up to 16TByte filesystem size. 64Bit file systems are not implemented.
  Not tested at the moment:
  - the new library releases form last 2 Weeks libmagic and libext2fs
  - file systems written with new Kernel (only testet written with 2.6 Kernel)
  - BigEndian CPUs not testet very extensively
